# (tv) fix build:
%global _ssp_cflags %nil
%global git +git20200814.62c30a4a

Name:		tcc
Version:	0.9.27
Release:	%mkrel 9%{git}
Summary:	Tiny C Compiler
License:	LGPLv2+
Group:		Development/C
URL:		http://bellard.org/tcc/
Source0:	https://download.savannah.nongnu.org/releases/tinycc/%{name}_%{version}%{git}.tar.bz2
Patch0:		tcc-0.9.26-arm.patch
BuildRequires:	texinfo

%description
Tiny C Compiler - C Scripting Everywhere - The Smallest ANSI C
compiler.


%prep
%autosetup -p1 -c 

# path fix
find -type f | xargs perl -pi -e "s|^#\!/usr/local/bin|#\!%{_bindir}|g"

# (tv) fix path on x86_64:
%ifarch x86_64 aarch64
perl -pi -e 's!/usr/lib!/usr/lib64!' libtcc.c tcc.h
%endif

# fix attribs
chmod 644 examples/*

%build
%configure --debug --triplet=%{_build}
%make_build -j4

%install
%make_install

# cleanup
rm -rf %{buildroot}%{_docdir}/tcc

%files
%doc Changelog README TODO *.html examples
%license COPYING
%exclude %{_docdir}/tcc-doc.html
%{_bindir}/*
%{_libdir}/tcc/
%{_libdir}/*.a
%{_includedir}/*.h
%{_infodir}/tcc-doc*
%{_mandir}/man1/tcc.1*


%changelog
* Wed Jul 06 2022 pterjan <pterjan> 0.9.27-9+git20200814.62c30a4a.mga9
+ Revision: 1867858
- Treat armv7hl-mageia-linux-gnueabi as hard fload even if not using gnueabihf

* Wed Jul 06 2022 pterjan <pterjan> 0.9.27-8+git20200814.62c30a4a.mga9
+ Revision: 1867854
- Specify triplet to hopefully fix build on armv7hl

* Wed Apr 06 2022 tv <tv> 0.9.27-7+git20200814.62c30a4a.mga9
+ Revision: 1846539
- New upstream snapshot, thus fixing build
- Explicitely enable debuginfo
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.9.27-6.mga8
+ Revision: 1522587
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jan 27 2019 daviddavid <daviddavid> 0.9.27-5.mga7
+ Revision: 1361253
- update to final release 0.9.27 (mga#24246)
- fix owner of lib dir
- fix license
- fix also libraries path for aarch64

* Sun Sep 02 2018 tv <tv> 0.9.27-4.mga7
+ Revision: 1256289
- rely on filetriggers for info system (mga#23482)

* Thu Sep 14 2017 tv <tv> 0.9.27-3.mga7
+ Revision: 1153806
- new git snapshot from debian
- rediff ARM patch

* Sun Feb 07 2016 daviddavid <daviddavid> 0.9.27-2.mga6
+ Revision: 942302
- fix file list for arm

* Sat Feb 06 2016 tv <tv> 0.9.27-1.mga6
+ Revision: 942147
- new git snapshot from debian
- rediff ARM patch
- fix build
- adjust filelist

* Sat Feb 06 2016 wally <wally> 0.9.26-6.mga6
+ Revision: 942114
- fix arm build

* Sat Feb 06 2016 umeabot <umeabot> 0.9.26-5.mga6
+ Revision: 940209
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.26-4.mga5
+ Revision: 745596
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.26-3.mga5
+ Revision: 689733
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.26-2.mga4
+ Revision: 532839
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 tv <tv> 0.9.26-1.mga4
+ Revision: 469683
- adjust file list
- BR texinfo
- new release
- fix build
- register info

* Mon Jan 14 2013 umeabot <umeabot> 0.9.25-5.mga3
+ Revision: 384141
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.9.25-4.mga3
+ Revision: 324787
- rebuild for Mga3 Beta1

* Sat Jan 21 2012 kamil <kamil> 0.9.25-3.mga2
+ Revision: 199190
- adapt package for Mageia
- imported package tcc

